#### D.8.7.3 getRelations

Procedure from library `recover.lib` (see recover_lib).

Usage:
  getRelations(p,D,C); list p, int D, bigint C

Return:
  list K: a list of ideals; the ideals contain homogeneous polynomial relations of degree <=D between the components of the point p

Note:
  This procedure uses only the images of the one point p under the Veronese embeddings to find homogeneous polynomial relations.

Example:

    LIB "recover.lib";
    ring r=(complex,50),(x,y,z),dp;
    list p=1,-1,0.5;
    getRelations(p,2,10000);

See also: getRelationsRadical.

User manual for Singular version 4.4.1, 2025, generated by texi2html.